%define upstream_name    Makefile-DOM
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tokens representing ordinary white space
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Makefile/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone) >= 0.180.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(Params::Util) >= 0.220.0
BuildArch:  noarch

%description
The 'MDOM::Node' class provides an abstract base class for the Element
classes that are able to contain other elements the MDOM::Document manpage,
the MDOM::Statement manpage, and the MDOM::Structure manpage.

As well as those listed below, all of the methods that apply to the
MDOM::Element manpage objects also apply to 'MDOM::Node' objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/pod-coverage.t
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 369506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 136610
- update to 0.006
- update to 0.005

* Fri Jan 28 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 42934
- imported package perl-Makefile-DOM

